### Hierarchy

- ContextMenuGroupComponent

### Implements

- OnInit
- OnChanges
- OnDestroy

## Index

### Inputs

- label
- type
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- contextMenuSelectionService
- label
- role
- subscription
- type
- value
- valueChange

### Methods

- ngOnChanges
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new ContextMenuGroupComponent(contextMenuSelectionService: ContextMenuSelectionService): ContextMenuGroupComponent

- - Defined in src/context-menu/context-menu-group.component.ts:38

  #### Parameters

  - ##### contextMenuSelectionService: ContextMenuSelectionService

  #### Returns ContextMenuGroupComponent

## Properties

### Protected contextMenuSelectionService

contextMenuSelectionService: ContextMenuSelectionService

- Defined in src/context-menu/context-menu-group.component.ts:40

### label

@Input()
label: any = null

- Defined in src/context-menu/context-menu-group.component.ts:33

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "none"

- Defined in src/context-menu/context-menu-group.component.ts:31

### Private subscription

subscription: Subscription = new Subscription()

- Defined in src/context-menu/context-menu-group.component.ts:38

### type

@Input()
type: null | "radio" | "checkbox" = null

- Defined in src/context-menu/context-menu-group.component.ts:35

### value

@Input()
value: any[] = []

- Defined in src/context-menu/context-menu-group.component.ts:34

### valueChange

@Output()
valueChange: EventEmitter<any[]> = new EventEmitter<any[]>()

- Defined in src/context-menu/context-menu-group.component.ts:36

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/context-menu/context-menu-group.component.ts:50

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/context-menu/context-menu-group.component.ts:62

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/context-menu/context-menu-group.component.ts:42

  #### Returns void

Generated using TypeDoc